=== debian/changelog ===
kio-extras (4:23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libplist-2.0-4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Apr 2024 08:05:41 +0000

kio-extras (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:06:10 +0000

kio-extras (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:02:02 +0000

kio-extras (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:25:14 +0000

kio-extras (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:01:04 -0700
