## kio-extras 24.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.101.0")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
@@ -19,6 +19,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEGitCommitHooks)
 
 include(ECMMarkNonGuiExecutable)
 include(ECMMarkAsTest)
@@ -30,61 +31,65 @@
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)
-if (QT_MAJOR_VERSION EQUAL "6")
-    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core5Compat)
-endif()
-
-find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)
-set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES
-         PURPOSE "Required for tests"
-         TYPE OPTIONAL
-         )
-add_feature_info("Qt${QT_MAJOR_VERSION}Test" Qt${QT_MAJOR_VERSION}Test_FOUND "Required for building tests")
-if (NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
-    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
-endif()
-
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Network Widgets Svg Core5Compat)
+
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
     ConfigWidgets
     CoreAddons
-    DBusAddons
+
     DocTools
     DNSSD
     I18n
     KIO
     Solid
-    Bookmarks
     GuiAddons
     SyntaxHighlighting
+    KCMUtils
+    TextWidgets
 )
+
+# shall we use DBus?
+# enabled per default on Linux & BSD systems
+set(USE_DBUS_DEFAULT OFF)
+if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
+    set(USE_DBUS_DEFAULT ON)
+endif()
+option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
+if(USE_DBUS)
+    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons)
+endif()
+
+find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
+set_package_properties(Qt6Test PROPERTIES
+         PURPOSE "Required for tests"
+         TYPE OPTIONAL
+         )
+add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
+if (NOT Qt6Test_FOUND)
+    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
+endif()
+
+find_package(QCoro6 REQUIRED COMPONENTS Core)
+qcoro_enable_coroutines()
 
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
-find_package(KF${QT_MAJOR_VERSION}Activities QUIET)
-set_package_properties(KF${QT_MAJOR_VERSION}Activities PROPERTIES
-    PURPOSE "Provides the activities:/ KIO worker and fileitem plugin."
-    TYPE OPTIONAL
-)
-
-find_package(Qt${QT_MAJOR_VERSION}Sql QUIET)
-set_package_properties(Qt${QT_MAJOR_VERSION}Sql PROPERTIES
-    PURPOSE "Provides the activities:/ KIO worker and fileitem plugin."
-    TYPE OPTIONAL
-)
-
-find_package(KF${QT_MAJOR_VERSION}ActivitiesStats ${KF_MIN_VERSION} QUIET)
-set_package_properties(KF${QT_MAJOR_VERSION}ActivitiesStats PROPERTIES
-    PURPOSE "Provides the recentlyused:/ KIO worker"
-    TYPE OPTIONAL
-)
-
-find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE)
-set_package_properties(Phonon4Qt${QT_MAJOR_VERSION} PROPERTIES
+if (NOT WIN32 AND USE_DBUS)
+    option(BUILD_ACTIVITIES "Build recentlyused:/, activities:/ KIO workers and fileitem plugin." ON)
+    if(BUILD_ACTIVITIES)
+        find_package(Qt6Sql REQUIRED)
+        find_package(PlasmaActivities REQUIRED)
+        find_package(PlasmaActivitiesStats REQUIRED)
+    endif()
+endif()
+
+find_package(Phonon4Qt6 4.6.60 NO_MODULE)
+set_package_properties(Phonon4Qt6 PROPERTIES
    DESCRIPTION "Qt-based audio library"
    PURPOSE "Required for the audio preview plugin"
    TYPE OPTIONAL)
@@ -157,48 +162,43 @@
     set_package_properties(Gperf PROPERTIES TYPE OPTIONAL
                            PURPOSE "Needed to build the man KIO worker"
                            )
-
-    find_package(TIRPC)
-    set_package_properties(TIRPC PROPERTIES TYPE OPTIONAL
-                           PURPOSE "Needed to build the NFS KIO worker"
-                           )
 else()
     # FIXME: on windows we ignore support until trash gets integrated
 endif()
 
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.96
+    KF 6.0
 )
 
-add_subdirectory( doc )
-
-if(TARGET KF${QT_MAJOR_VERSION}::Activities AND TARGET Qt::Sql AND NOT WIN32)
+add_subdirectory(doc)
+add_subdirectory(kcms)
+
+if(BUILD_ACTIVITIES)
   add_subdirectory( activities )
-endif()
-if(KF${QT_MAJOR_VERSION}ActivitiesStats_FOUND)
-    add_subdirectory( recentlyused )
-endif()
-add_subdirectory( bookmarks )
+  add_subdirectory( recentlyused )
+endif()
 add_subdirectory( filter )
-if(Phonon4Qt${QT_MAJOR_VERSION}_FOUND)
+if(Phonon4Qt6_FOUND)
     add_subdirectory( kfileaudiopreview )
 endif()
 add_subdirectory( info )
 add_subdirectory( archive )
-add_subdirectory( recentdocuments )
 if (NOT WIN32)
     # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
     # Used for getting the resource limit for closing all child process FDs. Could be completely replaced by fcloseall() if available for Unix or _fcloseall() for Windows, either conditionally on Q_OS_type or using a configure test.
     add_subdirectory( fish )
 endif()
 add_subdirectory( thumbnail )
-add_subdirectory( docfilter )
 if (libssh_FOUND)
     add_subdirectory(sftp)
 endif ()
-add_subdirectory( filenamesearch )
-if (Libmtp_FOUND)
+
+if (NOT WIN32 AND NOT APPLE AND USE_DBUS)
+    add_subdirectory( filenamesearch )
+endif()
+
+if (Libmtp_FOUND AND USE_DBUS)
   add_subdirectory(mtp)
 endif()
 
@@ -206,12 +206,9 @@
    if(Gperf_FOUND)
      add_subdirectory( man )
    endif()
-   if(TIRPC_FOUND)
-     add_subdirectory( nfs )
-   endif()
-endif()
-
-if(SAMBA_FOUND)
+endif()
+
+if(SAMBA_FOUND AND USE_DBUS)
     add_subdirectory(smb)
 endif()
 
@@ -230,4 +227,6 @@
 ki18n_install(po)
 kdoctools_install(po)
 
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
