=== debian/changelog ===
kio-extras (4:24.08.1-0ubuntu2) oracular; urgency=medium

  * Restore building smb plugin with kdsoap. (LP: #2080527)

 -- Rik Mills <rikmills@kde.org>  Mon, 16 Sep 2024 16:37:40 +0100

kio-extras (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:23 +0100

kio-extras (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 07 Sep 2024 01:45:47 -0700

kio-extras (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 23:22:47 +0200

kio-extras (4:23.08.4-2) unstable; urgency=medium

  * Team upload.
  * No change upload to manually trigger rebuild with the new
    libimobiledevice and libplist.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Jul 2024 15:57:51 -0400
