## kio-extras 24.08.2

=== debian/changelog ===
kio-extras (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:40:29 +0000
