=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                gperf,
+               kdsoap-ws-discovery-client-dev,
                libappimage-dev (>= 0.1.10~) [linux-any],
                libimobiledevice-dev,
-               libkexiv2qt6-dev,
                libkdsoap-qt6-dev (>= 2.0.0~),
-               kdsoap-ws-discovery-client-dev,
+               libkexiv2qt6-dev (>= 24.12.0~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
